Skip to main content

Obtaining Call Settings Status for WhatsApp Signature ID

Last updated: 16 December 2025

To determine whether it is possible to make calls using WhatsApp, use the method: api/channel-profile/whatsapp/{sender}/settings.

Calling the Method

To check the status of your WhatsApp signature ID settings, send a POST request to the URL https://app.edna.io/api/channel-profile/whatsapp/{sender}/settings, where {sender} is the signature ID.

tip

To find out the signature ID, request a list of channels, the signature ID will be specified in the parameter subject.

File IconReceiving List of Channels

Request Format

{
"callbackUrl": "string"
}

Request Example

{
"callbackUrl": "https://emulator.edna.dte/test/wa-calling"
}

Request Parameters

ParameterData typeCharacterDescription
callbackUrlstringRequiredThe URL to which the webhook is sent with information about setting up calls for signature.
Only HTTPS protocol is supported.
Maximum length — 500 characters. File IconWebhook Request for WhatsApp Signature ID Call Configuration Status

Response Format

{
"requestId": "string"
}

Response Example

{
"requestId": "dab08880-8307-47e8-aa25-b42304eb1816"
}

Response Parameters

ParameterData typeDescription
requestIdstringInternal request identifier.

Webhook Request with Configuration Status

After calling the api/channel-profile/whatsapp/{sender}/settings method, edna Pulse will send a webhook request with the status of WhatsApp signature ID call configuration.

File IconWebhook Request for WhatsApp Signature ID Call Configuration Status